//
// Created by Krad on 2021/11/23.
//

#ifndef GUI_SLIDEABLETABLEVIEW_H
#define GUI_SLIDEABLETABLEVIEW_H

#include <QTableView>
class SlideableTableView:public QTableView {
Q_OBJECT
public:
    explicit SlideableTableView(QWidget *parent = nullptr);
    ~SlideableTableView();

protected:
    void mousePressEvent(QMouseEvent *ev) override ;
    void mouseMoveEvent(QMouseEvent *ev) override ;
    void mouseReleaseEvent(QMouseEvent *ev) override ;

private:
    bool isDragging = false;
    int ox,oy,ov;

};


#endif //GUI_SLIDEABLETABLEVIEW_H
